LINUX.ORG.RU

Debian 9 «Stretch»

 ,


3

2

После 26 месяцев разработки представлен стабильный выпуск Debian 9 с кодовым именем «Stretch», который будет поддерживаться в течение следующих 5 лет.

Релиз посвящён памяти основателя проекта Иана Мёрдока, который ушёл из жизни 28 декабря 2015 года.

Основные изменения:

  • Вариантом MySQL по умолчанию теперь является MariaDB.
  • Firefox и Thunderbird заменили Iceweasel и Icedove, поставлявшиеся в течение более чем 10 лет.
  • Команда dmesg теперь требует права root.
  • Для запуска дисплейной системы X более не требуются права root.
  • Пакеты отладки перенесены в новый репозиторий и имеют окончание -dbgsym вместо -dbg. Репозиторий можно добавить в список источников APT:
    deb http://deb.debian.org/debian-debug/ stretch-debug main
    

Новые версии ПО:

  • Apache 2.4.25;
  • Asterisk 13.14.1;
  • Chromium 59.0.3071.86;
  • Firefox 45.9 (в пакете firefox-esr);
  • GIMP 2.8.18;
  • GNOME 3.22;
  • GCC 6.3;
  • GnuPG 2.1;
  • Golang 1.7;
  • KDE Frameworks 5.28, KDE Plasma 5.8, KDE Applications 16.08 и PIM-компоненты 16.04;
  • LibreOffice 5.2;
  • Linux 4.9;
  • MariaDB 10.1;
  • MATE 1.16;
  • OpenJDK 8;
  • Perl 5.24;
  • PHP 7.0;
  • PostgreSQL 9.6;
  • Python 2.7.13 и 3.5.3;
  • Ruby 2.3;
  • Samba 4.5;
  • systemd 232;
  • Thunderbird 45.8;
  • Tomcat 8.5;
  • Xen Hypervisor;
  • Xfce 4.12.

Debian «Stretch» содержит более 51 000 других готовых к использованию пакетов ПО, собранных из немногим более 25 000 пакетов с исходным кодом.

Всего поддерживается десять архитектур: amd64, i386, ppc64el, s390x, armel, armhf, arm64, mips, mipsel, mips64el. Поддержка powerpc в «Stretch» прекращена.

>>> Подробности

★★★★★

Проверено: Klymedy ()

Господамы, дайте аргументированный и пруфированный совет, что нужно отныне и навсегда использовать в текущей и в будущих версия Debian - apt, apt-get или aptitute? Надоело уже в дебиане юзать одно (aptitude), в бубунте другое (ранее юзал apt-get, теперь вроде как везде пишут apt).

Или разработчики сами там не в курсах, что нужно использовать?

anonymous ()
Ответ на: комментарий от cantus

Что популярнее у дебиановодов

https://qa.debian.org/popcon-graph.php?packages=xfce4+lxde-core+kde-standard+gnome-desktop-environment&show_installed=on&want_legend=on&want_
Статистика собирается через popularity-contest
По этой статистике дебиан склонялся к xfce вместо gnome (имхо, годный способ голосования за пакеты в дефолте)

hitode ()
Ответ на: комментарий от EXL

Но вот разработчикам, которые хотят пробовать новые фишки и программировать в ногу со временем, Debian подходит слабо.

А можно узнать на чем пишут эти «разработчики»?

daminatorus ()
Ответ на: комментарий от daminatorus

Они как правило пишут на новейших высокоуровневых языках Ц и ЦПП. На этих продв нутых, удобных и функциональных языках статическая линковка объявлена лютою ересью и таким образом сотни килобайт дискового пространства экономятся ежедневно у пользователей всего мира! Это вам не Паскаль, одним словом.

Vudod ★★★★★ ()
Ответ на: комментарий от Zlo

Спасибо за подробную инструкцию, но у меня более сложная задача - на рабочем ноуте стоит Debian 7 со всеми обновлениями. Так руки и не дошли апгрейдить его до восьмерки. Вопрос - могу ли я сразу же по Вашей инструкции перейти на 9 версию? Или все равно вначале надо будет апгрейдиться до 8 версии, и только потом переходить на девятую?

Заранее благодарю за ответ, с уважением, Сергей.

anonymous ()
Ответ на: комментарий от bryak

npm is the package manager for JavaScript

А еще нету VirtualBox и еще много чего. Давай в мейнтейнеры, а? И bryak-а возьми, он тоже жаловался. А, это ты аж два раза в разных сообщениях написал. Вот у тебя подгорело то. :)

mandala ★★ ()
Последнее исправление: mandala (всего исправлений: 1)
Ответ на: комментарий от mandala

У нас в Манхаро прилетают апдейты в десятки и сотни пакетов, и никаких проблем. Но вы и дальше пляшите вокруг своей святой штабильности и веруйте, что только в дебиане можкт быть жизнь, лол.

А насчёт Арча - там ПМ хотя бы не валится из-за ошибок в настроечных скриптах))

alexferman ()
Ответ на: комментарий от alexferman

Вопрос не в стабильности, а в автоматизируемости управления и сложности обновления. У меня есть сервера и на дебиане и на арче, в ручном режиме они обновляются одинаково просто и не падают от этого.

Но если ты этим деньги зарабатываешь, а не фанишься - то выбираешь дебиан, центось, или рхел. Потому что вручную возиться с десятками и сотнями серверов - уже никакого фана :)

pekmop1024 ★★★★☆ ()
Ответ на: комментарий от cheshire_cat

дрова на ноуты с графикой от nvidia из официального сайта всё так же через одно место устанавливаются
из официального сайта

Да и ещё с перспективой последствий, потому что не из родных реп...
не из родных реп

Печально.

Думаешь нвидии надо не фак показать, а что нибудь покруче?

mandala ★★ ()
Ответ на: комментарий от mandala

Проприетарное ненужно? А свободный дебиан тут при чем?

При том что без проприетарного ненужно свободный дебиан большинству пользователей десктопов с невидией не нужен.

h578b1bde ★☆ ()
Ответ на: комментарий от mandala

От тебя. Давай, обнови свою хрюшу до спермерочки и расскажи что сломалось.

https://www.youtube.com/watch?v=8WP7AkJo3OE
Кстати, напомни мне, пожалуйста, сроки поддержки хрюши и семёрочки чтобы сравнить их с дебовскими LTS.

h578b1bde ★☆ ()
Последнее исправление: h578b1bde (всего исправлений: 1)
Ответ на: комментарий от anonymous
Ответ на: комментарий от anonymous

apt пока не готов, официально. Даже предупреждение выводится, когда его юзаешь не соло, а хотя бы в конвейере

# apt update | tee

WARNING: apt does not have a stable CLI interface yet. Use with caution in scripts.
А aptitude уже не имеет «коровьей силы» (апт как раз имеет).
# aptitude --help
aptitude 0.6.11
...
                  Эта версия aptitude не имеет коровьей СУПЕРСИЛЫ.
# # apt-get --help
apt 1.0.9.8.4 для amd64 скомпилирован Dec 11 2016 09:48:19
...
                       В APT есть коровья СУПЕРСИЛА.
Так что можешь юзать apt-* и пока не париться.

mandala ★★ ()
Ответ на: комментарий от h578b1bde

МыСы обосралась с новыми версиями ос и несколько раз продляла поддержку ХР. Но уже сдохло. Виста сдохла. Для спермерки только заплатки. Про восьмерку не знаю. Все на десятку, остальное, постольку-поскольку. А у дебиана сейчас есть ЛТС и пять лет поддержки. Но у дебиана по сравнению с мысы на порядки меньше бюджет разработки.

mandala ★★ ()
Ответ на: комментарий от mandala

МыСы обосралась с новыми версиями ос и несколько раз продляла поддержку ХР. Но уже сдохло. Виста сдохла. Для спермерки только заплатки. Про восьмерку не знаю. Все на десятку, остальное, постольку-поскольку. А у дебиана сейчас есть ЛТС и пять лет поддержки. Но у дебиана по сравнению с мысы на порядки меньше бюджет разработки.

Ты забыл добавить про анальное рабство, коим сам и забавляешься.

anonymous ()
Ответ на: комментарий от mandala

Ладно, давай по существу. Допустим, есть проприетарная семёрка, на которую я могу поставить свободную пыху с версиями, к примеру, от 5.2 до 7.1. Как мне с официального репозитария дебиана поставить свободную пыху версии, к примеру, 5.3 на свободный дебиан версии 9?

h578b1bde ★☆ ()
Последнее исправление: h578b1bde (всего исправлений: 1)
Ответ на: комментарий от mandala

А ты на шинду с официального репозитория пыху ставишь? нет? А почему ты тогда ставишь дебиан при сравнении в заведомо не выгодное положение?

Потому что

Be aware that any non-Debian packages on your system may be removed during the upgrade because of conflicting dependencies.

Хотя как поставить пыху 5.3 на девятый дебиан без пердолинга не из официального репозитария дебиана тоже интересно было бы послушать.

h578b1bde ★☆ ()
Последнее исправление: h578b1bde (всего исправлений: 2)
Ответ на: комментарий от mandala

При том, что возникает ощущение будто в Debian прилагают все усилия дабы пользователи получили максимальное нервное истощение при установке родной программной проприетарщины на аппаратную проприетарную железку. Вроде как линь, это свобода, что с ним хотят - то и делают. А получается что свобода строит свой собственный диктат, который не приемлет что-то от себя отличное. В камментах больше пафосно пыхтят о свободе, хотя её смысл уже давно утерян. Напомню, свободу в ПО создавали для удобства и защиты от неадекватности проприетарщиков, которые имеют привычку диктовать свои хотелки (в основном для коммерческой выгоды). Если честно, то некоторые дистрибутивы линя даже под флагом чистейшего GNU не далеко шагнули в этом смысле от проприетарщиков.

cheshire_cat ()
Ответ на: комментарий от cheshire_cat

Если честно, то некоторые дистрибутивы линя даже под флагом чистейшего GNU не далеко шагнули в этом смысле от проприетарщиков.

Дистрибутивы под флагом чистейшего GNU обычно наиболее упороты.

h578b1bde ★☆ ()
Ответ на: комментарий от anonymous

Спасибо за подробную инструкцию, но у меня более сложная задача - на рабочем ноуте стоит Debian 7 со всеми обновлениями. Так руки и не дошли апгрейдить его до восьмерки. Вопрос - могу ли я сразу же по Вашей инструкции перейти на 9 версию? Или все равно вначале надо будет апгрейдиться до 8 версии, и только потом переходить на девятую?

Заранее благодарю за ответ, с уважением, Сергей.

В инфе (ссылка есть выше в топике) по свежей версии написано, что лучше не обновлять (или совсем не обновлять с версий 8 и ниже, т.е. с 8 на 9 можно, а с 7 и ниже нет).

anonymous ()
Ответ на: комментарий от cheshire_cat

А получается что свобода строит свой собственный диктат, который не приемлет что-то от себя отличное

Тадаааам!))

А причина проста: фанатизм.

alexferman ()
Последнее исправление: alexferman (всего исправлений: 1)
Ответ на: комментарий от cheshire_cat

Во первых Debian это не только linux это раз, во вторых у проекта Debian есть своя сложившаяся философия как и у других дистрибутивов от того «все усилия дабы пользователи получили максимальное нервное истощение при установке родной программной проприетарщины» не являются намеренными, а это следствия философии, прогибаться каждый раз под какую то программу и делать исключения? Зачем? И не забываем про spi-inc. А в целом дистрибутивов так много что говорить что один плохой, а другой лучше просто нет смыла, не по нраву это бери другой и нет проблем.

Dron ★★★★★ ()
Ответ на: комментарий от anonymous

Systemd - свободное программное обеспечение, распространяемое под лицензией gnu gpl. Как его использование противоречит философии Debian?

Polugnom ★★★★★ ()
Последнее исправление: Polugnom (всего исправлений: 2)
Ответ на: комментарий от Dron

Если бы адекватные дрова были просто «какой-то там программой», а не необходимым компонентом для того, чтобы в целом устройстве адекватно заработала его одна из главнейших частей, то и отношение тогда было бы другим. И к слову, это скорее nVidia прогнулась под линь, а не линь под nVidia. Если бы проприетарщики не прогибались, то никогда бы не было нормально работающих устройств и программных продуктов. Один только steam сколько за собой притащил - это и игроделы, и драверопроизводители, и ныне пилящийся Vulkan (в котором принимают участие проприетарщики всех мастей). Да много чего! Понятно, что если «не по нраву это бери другой» дистрибутив, но ведь Debian имел бы все шансы на тотальный и объединительный успех в рамках linux-зоопарка. Но нет, нужно быть фанатиками. Увы и ах.

cheshire_cat ()